<?php
// Content Management System module for PHProjekt (CMS4P).
// Copyright 2002-2005 by Mario A. Valdez-Ramirez
// http://www.mariovaldez.net/

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, 
// Boston, MA 02111-1307, USA.

// You can contact Mario A. Valdez-Ramirez by email 
// at mario@mariovaldez.org or paper mail at 
// Olmos 809, San Nicolas, NL. 66495, Mexico.

//session_start();
$file = "setup";
$path_pre = "../";
$include_path = $path_pre . "lib/lib.inc.php";
include_once $include_path;

echo "<html><head><title>Content management.</title><link rel=stylesheet type=\"text/css\" href=\"cm-style.css\"></head>
<body bgcolor=\"#FFFFFF\" leftmargin=\"20\" topmargin=\"20\" rightmargin=\"20\" bottommargin=\"20\">";

// Load language strings file.
$cm_langpath = "lang";
$cm_languages = array ("es" => 1, "en" => 1, "nl" => 1, "de" => 1, "fr" => 1, "ct" => 1, "br" => 1);
if (array_key_exists (strtolower ($langua), $cm_languages)) {
	$cm_langua = strtolower ($langua);
	include("$cm_langpath/$cm_langua.inc.php");
}
else { $cm_langua = "en"; include("$cm_langpath/en.inc.php"); }

echo "<p class=\"titletext\" align=\"center\">{$cm_text["setup-welcome"]}</p><hr>\n";
echo "<table border=\"0\" align=\"center\" cellpadding=\"10\" cellspacing=\"0\">\n";
echo "<tr><td class=\"console1body\">1.- <a class=\"cms\" href=\"adm_config.php?cmru=setup\">{$cm_text["setup-setup"]}</a></td></tr>\n";
echo "<tr><td class=\"console1body\">2.- <a class=\"cms\" href=\"adm_createdb.php?cmru=setup\">{$cm_text["setup-createdb"]}</a></td></tr>\n";
echo "<tr><td class=\"console1body\">3.- <a class=\"cms\" href=\"adm_mkroot.php?cmru=setup\">{$cm_text["setup-createdir"]}</a></td></tr>\n";
echo "<tr><td class=\"console1body\">4.- <a class=\"cms\" href=\"adm_editsec.php?cmru=setup\">{$cm_text["setup-editsec"]}</a></td></tr>\n";
echo "<tr><td class=\"console1body\"><a class=\"cms\" href=\"display.php\">{$cm_text["setup-gotocmhome"]}</a></td></tr>\n";
echo "<tr><td class=\"console1body\"><a class=\"cms\" href=\"$path_pre\" TARGET=\"_blank\">{$cm_text["setup-gotohome"]}</a></td></tr>\n";
echo "<tr><td class=\"console1body\"><a class=\"cms\" href=\"phpinfo.php\" TARGET=\"_blank\">{$cm_text["setup-phpinfo"]}</a></td></tr>\n";
echo "</table>\n";


echo "<hr>\n";
echo "<p class=\"titletext\" align=\"center\">{$cm_text["console-links"]}</p>\n";
echo "<table border=\"0\" align=\"center\" cellpadding=\"10\" cellspacing=\"0\"\n>";
echo "<tr><td class=\"console2body\" valign=\"top\"><ul class=\"cms\">";
echo "<li class=\"reflink\"><a class=\"cms\" href=\"http://www.mariovaldez.net/software/cm_4p/\". TARGET=\"_blank\">{$cm_text["console-lcmshomepage"]}</a></li>\n";
echo "<li class=\"reflink\"><a class=\"cms\" href=\"http://www.mariovaldez.net/software/cm_4p/faq.php\" TARGET=\"_blank\">{$cm_text["console-lcmsfaqpage"]}</a></li>\n";
echo "<li class=\"reflink\"><a class=\"cms\" href=\"http://www.mariovaldez.net/software/cm_4p/configure.php\" TARGET=\"_blank\">{$cm_text["console-lcmsconfigpage"]}</a></li>\n";
echo "<li class=\"reflink\"><a class=\"cms\" href=\"http://www.mariovaldez.net/software/cm_4p/install.php\" TARGET=\"_blank\">{$cm_text["console-lcmsinstallpage"]}</a></li>\n";
echo "</ul><ul class=\"cms\">";
echo "<li class=\"reflink\"><a class=\"cms\" href=\"http://www.phprojekt.com/\" TARGET=\"_blank\">{$cm_text["console-lphprojektpage"]}</a></li>\n";
echo "<li class=\"reflink\"><a class=\"cms\" href=\"http://www.phprojekt.com/modules.php?op=modload&name=forum&file=index\" TARGET=\"_blank\">{$cm_text["console-lphprojektforums"]}</a></li>\n";
echo "</ul></td>";
echo "<td class=\"console2body\" valign=\"top\"><ul class=\"cms\">";
echo "<li class=\"reflink\"><a class=\"cms\" href=\"http://www.mariovaldez.net/webapps/forums/viewforum.php?f=1\" TARGET=\"_blank\">{$cm_text["console-lcmshelpforum"]}</a></li>\n";
echo "<li class=\"reflink\"><a class=\"cms\" href=\"http://www.mariovaldez.net/webapps/forums/viewforum.php?f=3\" TARGET=\"_blank\">{$cm_text["console-lcmsbugsforum"]}</a></li>\n";
echo "<li class=\"reflink\"><a class=\"cms\" href=\"http://www.mariovaldez.net/webapps/forums/viewforum.php?f=2\" TARGET=\"_blank\">{$cm_text["console-lcmswishforum"]}</a></li>\n";
echo "</ul></td></tr>";
echo "</table>\n";


echo "</body></html>\n";
?>
